import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import withStyle from "../withStyle";

var SvgCryptoHuc = function SvgCryptoHuc(props) {
  return React.createElement("svg", _extends({
    viewBox: "0 0 32 32"
  }, props), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("circle", {
    cx: 16,
    cy: 16,
    fill: "#ffc018",
    r: 16
  }), React.createElement("path", {
    d: "M11.5 14.5h9V10h3v16h-3v-8.5h-9V22h-3V6h3z",
    fill: "#fff"
  })));
};

export var CryptoHuc = withStyle(SvgCryptoHuc, "CryptoHuc", true);